[Eco4Weather : Econometrics for Weather and Climate Applications & Education](https://github.com/opannekoucke/eco4weather) <!-- omit in toc -->
======================

This repository provides tools for exploration of economical application as social planner applied in mitigation to facilitate the academic use and the dissemination. The models are in Python and illustrated in Jupyter notebooks.

Codes are available under [CeCILL-B](./LICENCE.txt)



Examples
---

The package can be used to illustrate numerical solution of social planner problem. For instance:

### Ramsey model

![Illustration of optimal path in finite time window Ramsey model](./img/ramsey.png)

see [Exploration of the Ramsey model](./examples/example_ramsey-model.ipynb)

### Hoel-Kverndokk simplified model for tax setting

![Illustration of Hoel-Kverndokk simplified model output](./img/hoel-kverndokk.png)

see [Exploration of a simplified version of Hoel & Kverndokk model](./examples/example_hoel-kverndokk-model.ipynb)



Installation
---

```
pip install eco4weather
```

or from github

```
git clone https://github.com/opannekoucke/eco4weather.git
```



How to cite
---

O. Pannekoucke, "Eco4Weather : Econometrics for Weather and Climate Applications & Education", https://github.com/opannekoucke/eco4weather
